KeyError in kp_variant_log
09/30/2021 08:26 AM - Nandini Bansal

Status: In Progress Start date: 09/30/2021
Priority: Normal Due date:

Assignee: Nandini Bansal % Done: 90%
Category: Estimated time: 4.00 hours
Target version: P1 Spent time: 0.00 hour
Description

kp_variant_log is a dictionary that keeps track of the variant with which the KP was linked/tagged. The key of the dictionary follows
the format of KP"#"+doc_id+"#"+depth. The dictionary lookup is done to add subsection header info to the annotated file at the
time of tagging.

E.g.

math.sqgrt (-1) BR2PPPP 328 "&* math.sqrt 7&* 1.0

In the similar-doc string "328 *&* math.sqrt A&* 1.0", "math.sqrt" was fetched and added after look-up in the dictionary
kp_variant_log. This information is added to the annotated file so that KP can be directly linked to the linked/similar subsection
instead of the beginning of the document.

However, we have been a lot of KeyError hits in the log for the lookup in kp_variant_log. The KeyErrors are logged in the main.log
file. We need to investigate and fix this error.

Intuition to solve it

1) Check if the header variant is actually present in the given doc_id or not,

2) Check if the depth value of the header variant is correct or not.

For (2), -1 is the header depth for subsections. Otherwise document header.

Screenshot of the Error added in attachments.

For testing, please use C-API & Library Reference

History

#1 - 09/30/2021 11:21 AM - Nandini Bansal
- Assignee set to Rohit Choudhary
- Estimated time changed from 5.00 h to 4.00 h

#2 - 10/13/2021 12:37 PM - Rohit Choudhary

- Status changed from New to In Progress

#3 - 12/03/2021 01:05 PM - Nandini Bansal
- Assignee changed from Rohit Choudhary to Nandini Bansal

- % Done changed from 0 to 90
